## indi-pentax 1.0

=== debian/changelog ===
indi-pentax (1.0-2) unstable; urgency=medium

  * debian/control: move to debian-astro team
  * debian/control: bump standard to 4.6.1 (no changes)
  * debian/control: restrict to architectures amd64 and armhf
                    these are the architectures where libricohcamerasdk
                    is available

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 21 May 2022 10:04:35 +0200

indi-pentax (1.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 28 Dec 2021 10:04:35 +0000
