## indi-pentax 1.0%2B20221221102411

=== debian/changelog ===
indi-pentax (1.0+20221221102411-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:07:39 +1100

indi-pentax (1.0+20221221102411-1build2) noble; urgency=medium

  * No-change rebuild against libraw23t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 02:20:41 +0000

indi-pentax (1.0+20221221102411-1build1) mantic; urgency=medium

  * Rebuild against new libraw23.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 16 Jul 2023 10:02:38 +0200

indi-pentax (1.0+20221221102411-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.0

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Dec 2022 10:24:22 +0000
