=== debian/changelog ===
indi-pentax (1.0+20221221102411-3) unstable; urgency=medium

  * add gcc15.patch (Closes: #1114151)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 25 Sep 2025 09:24:22 +0200

indi-pentax (1.0+20221221102411-2) unstable; urgency=medium

  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 11 Sep 2024 19:24:22 +0200
