=== debian/control ===
Source: indi-pentax
Section: contrib/science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libindi-dev
	, zlib1g-dev
	, libjpeg-dev
	, libcfitsio-dev
	, libraw-dev
	, libpktriggercord0
	, libricohcamerasdk-dev
Standards-Version: 4.6.1
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-pentax
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-pentax.git


Package: indi-pentax
Architecture: amd64 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libpktriggercord0, libricohcamerasdk
Description: INDI driver for Pentax cameras
 This package contains an INDI driver for Pentax cameras.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
